SYSTEMD-SYSUSERS(8)

BEZEICHNUNG
systemd-sysusers, systemd-sysusers.service - Systembenutzer und -gruppen zuweisen

ÜBERSICHT

systemd-sysusers [OPTIONEN …] [KONFIGURATIONSDATEI …]

systemd-sysusers.service

BESCHREIBUNG

Systemd-sysusers legt, basierend auf dem in sysusers.d(5) angegebenen Dateiformat und Speicherort, Systembenutzer und -gruppen an.

Beim Aufruf ohne Argumente wendet es alle Anweisungen aus allen Dateien in den durch sysusers.d(5) festgelegten Verzeichnissen an. Falls die Option --replace=PFAD festgelegt wird und der Aufruf mit positionsbezogenen Argumenten erfolgt, werden die auf der Befehlszeile festgelegten Argumente statt der Konfigurationsdatei PFAD verwandt. Andernfalls wird nur die auf der Befehlszeile festgelegte Konfiguration ausgeführt. Die Zeichenkette »-« kann statt eines Dateinamens angegeben werden, um systemd-sysusers anzuweisen, die Konfiguration aus der Standardeingabe zu lesen. Falls nur der Basisname einer Datei angegeben wird, werden alle Konfigurationsverzeichnisse auf passende Dateien durchsucht und die gefundene Datei mit der höchsten Priorität wird ausgeführt.

OPTIONEN

Die folgenden Optionen werden verstanden:

--root=Wurzel
    akzeptiert einen Verzeichnispfad als Argument. Allen Pfaden wird der angegebene alternative Wurzel-Pfad vorangestellt, einschließlich der Suchpfade für die Konfiguration.

--replace=PFAD
    Wird diese Option angegeben, müssen eine oder mehrere positionsbezogene Argumente festgelegt werden. Alle in den in sysusers.d(5) aufgeführten Verzeichnissen gefundenen Konfigurationsdateien werden gelesen und die auf der Befehlszeile übergebene Konfiguration wird statt der Konfigurationsdatei PFAD mit der gleichen Priorität wie diese verwandt.

    Wenn die Installationsskripte laufen und zum Paket gehörende Dateien noch nicht verfügbar sind, muss der Inhalt der Skripte auf der Befehlszeile übergeben werden. Diese Option sorgt dafür, dass die Konfigurationsskripte des Administrators eine höhere Priorität erhalten, sofern diese bereits existieren.

    Beispiel 1. RPM-Installationsskript für Radvd

        echo 'u radvd - "radvd daemon"' | \
                  systemd-sysusers --replace=/usr/lib/sysusers.d/radvd.conf -

    Dies erzeugt den Benutzer radvd, als ob /usr/lib/sysusers.d/radvd.conf bereits auf Platte wäre. Ein Administrator könnte die auf der Befehlszeile übergebene Konfiguration außer Kraft setzen, indem er /etc/sysusers.d/radvd.conf oder sogar /etc/sysusers.d/00-overrides.conf erzeugt.

    Beachten Sie, dass dies dies die expandierte Form ist. Wird dies in einem Paket verwandt, würde es mit einem Makro mit »radvd« und einer Datei, die die Konfigurationszeile als Argumente enthält, geschrieben.

--inline
    Jedes positionsabhängige Argument wird als separate Konfigurationszeile statt als ein Dateiname behandelt.

--cat-config
    Kopiert den Inhalt der Konfigurationsdateien in die Standardausgabe. Vor jeder Datei wird der Dateiname als Kommentar ausgegeben.

--no-pager
    Die Ausgabe nicht an ein Textanzeigeprogramm weiterleiten.

-h, --help
    Zeigt einen kurzen Hilfetext an und beendet das Programm.

--version
    Zeigt eine kurze Versionszeichenkette an und beendet das Programm.

EXIT-STATUS

Bei Erfolg wird 0 zurückgegeben, anderenfalls ein Fehlercode ungleich Null.

SIEHE AUCH

systemd(1), sysusers.d(5), Benutzer, Gruppen, UIDs und GIDs auf Systemd-Systemen[1]

ANMERKUNGEN

1.  Benutzer, Gruppen, UIDs und GIDs auf Systemd-Systemen
    https://systemd.io/UIDS-GIDS

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.